export function typeJudgment(object) {
  try {
    let res = {}.__proto__.toString.call(object);
    let type = res.replace(/[\[\]]/g, "").split(" ");
    return type.length ? type[1] : "";
  } catch (error) {
    return "";
  }
}
function padZero(value, length = 2) {
  return value.toString().padStart(length, "0");
}

export function dateTimeHandle(date) {
  let dateTime;

  if (typeof date === "string") {
    try {
      dateTime = new Date(date);
    } catch (e) {
      throw new Error(
        "Invalid date string format. Please use ISO 8601 standard."
      );
    }
  } else if (typeof date === "number") {
    if (isNaN(date)) {
      throw new Error("Invalid timestamp.");
    }
    dateTime = new Date(date);
  } else if (date instanceof Date) {
    dateTime = date;
  } else {
    throw new Error(
      "Invalid input type. Expected string, number, or Date object."
    );
  }

  const year = dateTime.getFullYear();
  const month = padZero(dateTime.getMonth() + 1);
  const day = padZero(dateTime.getDate());
  const hours = padZero(dateTime.getHours());
  const minutes = padZero(dateTime.getMinutes());
  const seconds = padZero(dateTime.getSeconds());
  const weekDay = dateTime.getDay(); // 0-6, with 0 being Sunday

  return {
    year,
    month,
    day,
    hours,
    minutes,
    seconds,
    weekDay, // 0-6, with 0 being Sunday
  };
}
